#ifndef BODY_CONTROL_H
#define BODY_CONTROL_H

/*!
  \file
  \brief 筐体制御

  \author Satofumi KAMIMURA

  $Id: body_control.h 1203 2009-08-03 01:53:16Z satofumi $
*/

#include "body_t.h"


extern void body_initialize(body_t *body);
extern void body_reset(body_t *body);
extern void body_calculateWheelVelocity(long wheel_velocity[],
                                        long mm_per_sec, long dir16,
                                        const body_t *body);

#endif /* !BODY_CONTROL_H */
